XmStringPeekNextComponent(3Xm)

NAME
XmStringPeekNextComponent — a compound string function that returns the component type of the next component fetched.

SYNOPSIS
#include <Xm/Xm.h>

XmStringComponentType XmStringPeekNextComponent (context)
    XmStringContext    * context;

DESCRIPTION
XmStringPeekNextComponent examines the next component which would be fetched by XmStringGetNextComponent and returns the component type.

context
    Specifies the string context structure which was allocated by the XmStringInitContext function.

RETURN VALUE
Returns the type of component found.

RELATED INFORMATION
XmStringCreate(3Xm) and XmStringInitContext(3Xm).